APIAuthentication
Exchange a device code for a token
Exchange device code for access token Follow [rfc8628#section-3.4](https://datatracker.ietf.org/doc/html/rfc8628#section-3.4)
POST
/api/auth/device/tokenRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/auth/device/token" \ -H "Content-Type: application/json" \ -d '{ "grant_type": "urn:ietf:params:oauth:grant-type:device_code", "device_code": "string", "client_id": "string" }'{ "access_token": "sess_9f2c1b7a4d3e", "token_type": "Bearer", "expires_in": 604800, "scope": ""}Start the device flow POST
Request a device and user code Follow [rfc8628#section-3.2](https://datatracker.ietf.org/doc/html/rfc8628#section-3.2)
Tailscale Integration
Connect StarSling Runners to your Tailscale tailnet for secure, private network access to databases, NFS volumes, and internal APIs using OIDC authentication